Bug 36388 - Application settings produce extra XML headers during saving
Summary: Application settings produce extra XML headers during saving
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Configuration (show other bugs)
Version: master
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: marcos.henrich
URL:
: 38460 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-11-30 19:02 UTC by Arsen.Shnurkov
Modified: 2016-02-25 11:56 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Arsen.Shnurkov 2015-11-30 19:02:24 UTC
here is short reproduction example:
https://gist.github.com/ArsenShnurkov/6de3131b6e4240085ef8
the wrong line is the second XML header in the created file

here is the full story:
https://github.com/gitextensions/gitextensions/issues/2710
Comment 2 Arsen.Shnurkov 2015-12-01 06:01:09 UTC
Here is proof of concept:
https://gist.github.com/ArsenShnurkov/479cefd3f0ae74325cae
Comment 3 Arsen.Shnurkov 2015-12-01 06:32:38 UTC
I created the pull request
https://github.com/mono/mono/pull/2273
Comment 4 marcos.henrich 2016-01-05 12:01:37 UTC
Hi Arsen,

Thanks for the bug report and fix.

I created a new pull request with your fix and test case.
https://github.com/mono/mono/pull/2400
Comment 5 marcos.henrich 2016-02-15 16:49:52 UTC
Fixed in mono/master 355d2c5eca6ec320ccd4097d7f196b26a721ea94.
https://github.com/mono/mono/commit/355d2c5eca6ec320ccd4097d7f196b26a721ea94

Fixed in mono/mono-4.3.2-branch 96e0145891be996cc224c8c7ae1d05d6ba1abeb1.
https://github.com/mono/mono/commit/96e0145891be996cc224c8c7ae1d05d6ba1abeb1

This will be in Cycle 7.
Comment 6 marcos.henrich 2016-02-25 11:56:21 UTC
*** Bug 38460 has been marked as a duplicate of this bug. ***